Send creditor profile contact email
curl --request POST \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/contacts/{contact}/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "Profile follow up",
"content": "<p>Hello creditor.</p>"
}
'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/contacts/{contact}/email"
payload = {
"subject": "Profile follow up",
"content": "<p>Hello creditor.</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subject: 'Profile follow up', content: '<p>Hello creditor.</p>'})
};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/contacts/{contact}/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Email sent."
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "Sorry, you cannot edit the profile of an active company."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Send creditor profile contact email
Send a subject and HTML content email to a contact that belongs to an editable creditor profile.
POST
/
manage-creditor-profiles
/
{creditorProfile}
/
contacts
/
{contact}
/
email
Send creditor profile contact email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Creditor profile ID from the manage creditors list.
Creditor profile contact ID.
Body
application/json
Response
Contact email sent.
Last modified on July 19, 2026
Was this page helpful?
⌘I

